Bug 59615 - hyphen cfg file is replaced
hyphen cfg file is replaced
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-02-11 06:06 EST by Han-Wen Nienhuys
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-13 03:50:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Han-Wen Nienhuys 2002-02-11 06:06:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020204

Description of problem:
the files in /usr/share/texmf/tex/generic/config/ are configuration files, but 
aren't marked as such in the RPM file. Every time I have updated tetex in the
past 4 years, I have had to reconfigure hyphenation settings. These settings
should not be overwritten, but rather rpmsaved or rpmnewed.

If possible, the hyphenation patterns should also be regenerated during an update.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install old tetex
2. install new tetex
3. try to latex a dutch file

Additional info:
Comment 1 Tim Waugh 2002-02-11 10:39:03 EST
Okay, this is fairly easy to fix.  I'll try to get it in before the next release.
Comment 2 Tim Waugh 2002-02-11 13:33:12 EST
Just to confirm: in addition to the files in the directory you mention, you
would also like /usr/share/texmf/tex/generic/babel/hyphen.cfg to be marked as
%config(noreplace).  Is that correct?
Comment 3 Han-Wen Nienhuys 2002-02-11 18:47:30 EST
No, although the file is named .cfg, it doesn't look like an actual
configuration file. The hyphenation is in language.dat
Comment 4 Tim Waugh 2002-02-13 09:11:29 EST
Should be fixed in tetex-1.0.7-40.

Note You need to log in before you can comment on or make changes to this bug.